Bug 114121 - RFE: More perl_* macros
Summary: RFE: More perl_* macros
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-22 19:47 UTC by Ville Skyttä
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-22 23:00:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add some more perl_* macros, mainly perl_vendor(arch|lib) (1.03 KB, patch)
2004-01-22 19:48 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2004-01-22 19:47:14 UTC
Nowadays most of the world uses vendor libs for perl module
installations.  This patch adds the perl_vendorarch (arch-specific)
and perl_vendorlib (arch-independent) macros as well as perl_sitelib
and perl_privlib for consistency.

Please consider applying at least the perl_vendor* macros, such small
things are very helpful in "correct", clean Perl module packaging.

Comment 1 Ville Skyttä 2004-01-22 19:48:35 UTC
Created attachment 97189 [details]
Add some more perl_* macros, mainly perl_vendor(arch|lib)

This is against current rpm CVS.

Comment 2 Jeff Johnson 2004-01-22 23:00:30 UTC
Added to CVS, should be in rpm-4.3-0.9 when built.

Thanks for the patch.

Comment 3 Ville Skyttä 2004-01-23 07:33:30 UTC
Thanks.  Now that I think of it, shouldn't those macros actually be
using "%{__perl} -V:foo" instead of "perl -V:foo"...?


Note You need to log in before you can comment on or make changes to this bug.